Irrlicht Engine: irr::scene::IMetaTriangleSelector Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IMetaTriangleSelector Class Reference

Interface for making multiple triangle selectors work as one big selector. More...

`#include <IMetaTriangleSelector.h>`

Inheritance diagram for irr::scene::IMetaTriangleSelector:

List of all members.

## Public Member Functions
virtual void | addTriangleSelector (ITriangleSelector *toAdd)=0
| Adds a triangle selector to the collection of triangle selectors.
virtual void | removeAllTriangleSelectors ()=0
| Removes all triangle selectors from the collection.
virtual bool | removeTriangleSelector (ITriangleSelector *toRemove)=0
| Removes a specific triangle selector from the collection.

## Detailed Description

Interface for making multiple triangle selectors work as one big selector.

This is nothing more than a collection of one or more triangle selectors providing together the interface of one triangle selector. In this way, collision tests can be done with different triangle soups in one pass.

Definition at line 20 of file IMetaTriangleSelector.h.

## Member Function Documentation

virtual void irr::scene::IMetaTriangleSelector::addTriangleSelector | ( | ITriangleSelector * | toAdd | ) | `[pure virtual]`

Adds a triangle selector to the collection of triangle selectors.

Parameters:

  | toAdd,: | Pointer to an triangle selector to add to the list.

virtual void irr::scene::IMetaTriangleSelector::removeAllTriangleSelectors | ( |  | ) | `[pure virtual]`

Removes all triangle selectors from the collection.

virtual bool irr::scene::IMetaTriangleSelector::removeTriangleSelector | ( | ITriangleSelector * | toRemove | ) | `[pure virtual]`

Removes a specific triangle selector from the collection.

Parameters:

  | toRemove,: | Pointer to an triangle selector which is in the list but will be removed.

Returns:
  True if successful, false if not.

The documentation for this class was generated from the following file:

- IMetaTriangleSelector.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)